<?php defined('SYSPATH') OR die('No direct access allowed.');

/**
 *
 * Enables or disables usage of map-based network view. By disabling this,
 * the default view will always be list and all references to the map
 * view of the network will not be shown. See the next option to retain
 * access to the map view but not use it as the default network view.
 */
define('use_map', false);


/**
 *
 * Sets which display to use as the default view. Currently choices are
 * "list" or "map". If 'use_map' is false, only "list" is allowed.
 */
define('default_view','list');

/**
 * Allow public viewing of network status
 */
define('allow_public_status',true);
