<?php
echo html::script(array
(
    'media/js/jquery-1.3.2.min.js',
    'media/js/jquery-ui-1.7.2.custom.min.js'
)
);

?>

<script type="text/javascript">
	$(function() {
		$("#tabs").tabs();
	});

	$(document).ready(function() {
		$('#pass_match').hide();
		$('#pass_nomatch').hide();
		$('#confpass_match').hide();
		$('#confpass_nomatch').hide();

		$('#conf_new_password').blur( function () {check_match();} );
		$('#new_password').blur( function () {check_match();} );

		function check_match() {
			if( $('#conf_new_password').val().length > 0 && $('#new_password').val().length > 0) {
				if( $('#new_password').val() == $('#conf_new_password').val()) {
					$('#pass_nomatch').hide();
					$('#pass_match').fadeIn("fast");
					$('#confpass_nomatch').hide();
					$('#confpass_match').fadeIn("fast");
				} else {
					$('#pass_match').hide();
					$('#pass_nomatch').fadeIn("fast");
					$('#confpass_match').hide();
					$('#confpass_nomatch').fadeIn("fast");
				}
			} else {
				$('#pass_match').hide();
				$('#pass_nomatch').hide();
				$('#confpass_match').hide();
				$('#confpass_nomatch').hide();
				
			}
		}
		
	});
		
</script>


<div class="heading">
<h3>Edit your account settings.</h3>
</div>


<div id="tabs">
<ul>
	<li><a href="#tab-general">General</a></li>
	<li><a href="#tab-password">Password</a></li>
	<li><a href="#tab-notifications">Notifications</a></li>

</ul>
<div id="tab-general">
<div class="form"><?php
print form::open(NULL, array(), array('type'=>'general'));
?>
<ol>
	<li><?php print form::label('username','Username'); print form::input('username',$user->username) ?>
	</li>
	<li><?php print form::label('email','Email'); print form::input('email',$user->email)?>
	</li>
	<li><?php
	print form::submit('submit','Save');
	print form::close();
	?></li>
</ol>
</div>
</div>




<div id="tab-password">
<div class="form"><?php
print form::open(NULL, array(), array('type'=>'password'));
?>
<ol>
	<li><?php print form::label('password','Current Password'); print form::password('password')?>	
	<li><?php print form::label('new_password','New Password'); print form::password('new_password')?><span
		class="inputinfo" id="pass_match"><?php echo html::image('media/icons/accept.png')?></span><span
		class="inputinfo" id="pass_nomatch"><?php echo html::image('media/icons/cancel.png')?>
	Passwords don't match.</span></li>
	<li><?php print form::label('conf_new_password','Confirm New Password'); print form::password('conf_new_password')?><span
		class="inputinfo" id="confpass_match"><?php echo html::image('media/icons/accept.png')?></span><span
		class="inputinfo" id="confpass_nomatch"><?php echo html::image('media/icons/cancel.png')?>
	Passwords don't match.</span></li>
	<li><?php
	print form::submit('submit','Save');
	print form::close();
	?></li>

</ol>
</div>


</div>


<div id="tab-notifications">
<div class="form"><?php
print form::open(NULL, array(), array('type'=>'notification'));
?>
<ol>
<?php
$outage = array('instant' =>'As they happen', 'daily' => 'Daily', 'never' => 'Never');
$reports = array('weekly' =>'Weekly', 'daily' => 'Daily', 'never' => 'Never');
?>
	<li><?php print form::label('alerts','Send outage alerts: '); print form::dropdown('outages',$outage,'instant');?>
	
	
	<li><?php print form::label('reports','Send usage reports: '); print form::dropdown('reports',$reports,'weekly');?>
	
	
	<li><?php
	print form::submit('submit','Save');
	print form::close();
	?></li>

</ol>
</div>
</div>


</div>


