<?php
echo html::script(array
(
    'media/js/jquery-1.3.2.min.js'
)
);
?>

<script type="text/javascript"> 
$(document).ready(function() {
	$('#location, label[for="location"]').hide();
	$('#pass_match').hide();
	$('#pass_nomatch').hide();
	$('#confpass_match').hide();
	$('#confpass_nomatch').hide();
	$('#submit').attr("disabled","true");

	// if the user hit back after filling this in show the field
	if($('#location').val().length > 0) {
		$('#location, label[for="location"]').show();
	}
	
	$("#create_net").change(function(event) {
		event.preventDefault();
		toggleCreateNetwork();
	});

	$('#conf_password').blur( function () {check_match();} );
	$('#password').blur( function () {check_match();} );

	function check_match() {
		if( $('#conf_password').val().length > 0 && $('#password').val().length > 0) {
			if( $('#password').val() == $('#conf_password').val()) {
				$('#pass_nomatch').hide();
				$('#pass_match').fadeIn("fast");
				$('#confpass_nomatch').hide();
				$('#confpass_match').fadeIn("fast");
				$('#submit').removeAttr("disabled");
			} else {
				$('#pass_match').hide();
				$('#pass_nomatch').fadeIn("fast");
				$('#confpass_match').hide();
				$('#confpass_nomatch').fadeIn("fast");
				$('#submit').attr("disabled","true");				
			}
		} else {
			$('#pass_match').hide();
			$('#pass_nomatch').hide();
			$('#confpass_match').hide();
			$('#confpass_nomatch').hide();
			
		}
	}
	
	function toggleCreateNetwork() {
		if( $("#create_net").attr("checked") == true) {
			$('#location, label[for="location"]').fadeIn("slow");
		} else {
			$('#location, label[for="location"]').fadeOut("slow");
		}
	}
});
</script>


<div class="heading">
<h3>Register a new account.</h3>
</div>
<div class="form"><?php
print form::open();
?>
<ol>
	<li><?php print form::label('username','Username').form::input('username') ?>
	</li>
	<li><?php print form::label('password','Password').form::password('password')?><span class="inputinfo" 
		id="pass_match"><?php echo html::image('media/icons/accept.png')?></span><span class="inputinfo"
		id="pass_nomatch"><?php echo html::image('media/icons/cancel.png')?>
	Passwords don't match.</span>
	</li>
	<li><?php print form::label('conf_password','Confirm Password').form::password('conf_password')?><span class="inputinfo" 
		id="confpass_match"><?php echo html::image('media/icons/accept.png')?></span><span class="inputinfo"
		id="confpass_nomatch"><?php echo html::image('media/icons/cancel.png')?>
	Passwords don't match.</span></li>
	<li><?php print form::label('email','Email').form::input('email')?>
	</li>
	<li><?php print form::checkbox('create_net','create_net').form::label('create_net','Create network with same name as user? ','style="display:inline;padding:0 5px"');?>
	</li>
	<li><?php print form::label('location','Network Location (Postal code or City)').form::input('location');?>
	</li>
	<li><?php
	print form::hidden('language','en_US');	// TODO: Automatically make a dropdown if multiple langs available
	print form::submit('submit','Register');
	print form::close();
	?></li>
</ol>
</div>

