<?php defined('SYSPATH') or die('No direct script access.');
class Dashboard_Controller extends Template_Controller {
	public function __construct()
	{
		parent::__construct();
		
		// load the profiler
		$this->profiler = new Profiler;
		
		//generate the proper nav bar based on user type.
		if(Auth::instance()->logged_in('admin') ) {
			$this->template->nav_items = array
			(
'Home' => 'home/',
'Account' => 'account/',
'Admin'	=>	'admin',
'Logout' => 'auth/logout',
			);
			Event::run('dashboard.nav.admin');
		} else if (Auth::instance()->logged_in('login')) {
			$this->template->nav_items = array
			(
'Home' => 'home/',
'Account' => 'account/',
'Logout' => 'auth/logout',
			);
			Event::run('dashboard.nav.user');
		} else {
			$this->template->nav_items = array
			(
'Home' => 'home/',
'Register' => 'auth/register',
'Login' => 'auth/login',
			);
		}
			Event::run('dashboard.nav.guest');
		$this->db = Database::instance();
		$this->session = Session::instance();
	}
}