<?php defined('SYSPATH') or die('No direct script access.');
class Home_Controller extends Dashboard_Controller {
	var $network_list;
	var $node_list;
	public function index()
	{
		if (Auth::instance()->logged_in('login')) {

			$user = ORM::factory('user')->where('username',Auth::instance()->get_user()->username)->find();
			$i = 0;

			if(!$user->loaded) {
				echo "There ain't no stikin' user!";
			}

			foreach($user->networks as $network) {
				$this->network_list[$i]['name'] = $network->name;
				$this->network_list[$i]['location'] = $network->location;
				$this->network_list[$i]['num_users'] = 0;
				$this->network_list[$i]['total_nodes'] = 0;
				$this->network_list[$i]['down_nodes'] = 0;
				$this->network_list[$i]['kbup'] = 0;
				$this->network_list[$i]['kbdown'] = 0;

				$j = 0;
				foreach($network->nodes as $node) {
					$this->network_list[$i]['num_users'] += $node->users;
					$this->network_list[$i]['total_nodes'] += 1;

					//TODO: Make this a modifiable constant
					if(time() - $node->time > 600) {
						$this->network_list[$i]['down_nodes'] += 1;
					}
					$this->network_list[$i]['kbup'] += $node->kbup;
					$this->network_list[$i]['kbdown'] += $node->kbdown;

					$this->node_list[$j]['name'] = $node->name;
					$this->node_list[$j]['network'] = $network->name;
					$this->node_list[$j]['time'] = $node->time;
					$this->node_list[$j]['users'] = $node->users;
					$this->node_list[$j]['kbup'] = $node->kbup;
					$this->node_list[$j]['kbdown'] = $node->kbdown;

					$j++;
				}

				$i++;
			}

			// If there's only one page, go straight to network overview.
			if(count($this->network_list)==1) {
				$net_name = $this->network_list[0]['name'];
				$this->session->set('current_network',$net_name);
				$this->session->keep_flash();
				url::redirect('network/overview/'.$net_name);
			}
			// show general user page
			$this->template->title = Kohana::lang('base.dashname')." | ".Kohana::lang('base.home');
			$view = $this->template->content = new View('user/home');
		} else {
			$this->template->title = Kohana::lang('base.dashname')." | ".Kohana::lang('base.home');
			$this->template->content = new View('pages/home');
		}
	}
	
}
