<?php defined('SYSPATH') or die('No direct script access.');

class func_Core {

	/**
	 * Displays any alerts generated in scripts.
	 * 
	 * TODO: Determine if $_SESSION needs to be sanitized
	 * @return unknown_type
	 */
	public static function show_flash() {
		$session = $_SESSION;
		if(isset($session['alert'])){
			$message = $session['alert'];
			if(isset($session['type'])) {
				$type = $session['type'];
			} else {
				$type = 'info';
			}

			// TODO: Make this fade
			$str = "<div class=\"message ".$type."\">".$message."</div>";
			return $str;
		} else {
			return null;
		}
	}
	
	public static function is_password_correct($orm_user, $pwd) {
		if(isset($orm_user->password)) {
			$salt = Auth::instance()->find_salt($orm_user->password);
			//die(Auth::instance()->hash_password($pwd,$salt) . " " . $orm_user->password);
			return Auth::instance()->hash_password($pwd,$salt) == $orm_user->password;
		}
		return false;
	}

}