<?php
/**
 *	Class Vega for Hooks
 **/
class Constructor {
	
	/**
	 *	This hook method set the system language
	 **/
	public function localize(){
		if (Auth::instance()->logged_in())
			Kohana::config_set('locale.language', Auth::instance()->get_user()->language);
		else
			Kohana::config_set('locale.language', kohana::config('locale.language.0'));
	}
}
Event::add('system.pre_controller', array('Constructor', 'localize'));
