<?php
if(isset($this->error)) {
	?>
<div><?php Kohana::lang('base.invalid_network'); ?></div>

	<?php

} else {
	echo html::script(array
	(
    'media/js/jquery-1.3.2.min.js',
    'media/js/jquery-ui-1.7.2.custom.min.js',
    'media/js/jquery.tablesorter.min.js'
    
    )
    );
    ?>

<script type="text/javascript">
$(document).ready(function() 
	    { 
		    $(function() {
				$("#tabs").tabs();
			});
	        $(".sortable").tablesorter(); 
	    
	    } 
	); 
	
</script>
<h3>Editing the settings for "<?php echo ucwords(str_replace("_"," ",$this->network->show_display_name())) ?>"</h3>
<div id="tabs">
<ul>
	<li><a href="#tab-general">General</a></li>
	<li><a href="#tab-ap1">AP 1 (Public)</a></li>
	<li><a href="#tab-ap2">AP 2 (Private) </a></li>
	<li><a href="#tab-captive">Captive Portal</a></li>
	<li><a href="#tab-advanced">Advanced</a></li>
</ul>
<div id="tab-general"><?php
print form::open();
print "<ol>";

foreach($this->network->get_fields() as $key => $value) {
	if(array_key_exists($key,$this->network->get_general_fields())) {
		echo "<li>".form::label($key,Kohana::lang('network.'.$key)).form::input($key,$value)."</li>\n";
	}
}
print form::hidden('type','general');
print "<li>".form::submit('submit',"Save")."</li>";
print "</ol>";
print form::close();
?></div>

<div id="tab-ap1"><?php 
print form::open();
print "<ol>";

foreach($this->network->get_fields() as $key => $value) {
	if(array_key_exists($key,$this->network->get_ap1_fields())) {
		$arr = $this->network->get_ap1_fields();
		if($arr[$key]=='text') {
			echo "<li>".form::label($key,Kohana::lang('network.'.$key)).form::input($key,$value)."</li>\n";
		} else if ($arr[$key]='checkbox') {
			echo "<li>".form::checkbox($key,$key,$value).form::label($key,Kohana::lang('network.'.$key))."</li>\n";
		}
	}
}
print form::hidden('type','ap1');
print "<li>".form::submit('submit',"Save")."</li>";
print "</ol>";
print form::close();


?></div>

<div id="tab-ap2"><?php ?></div>

<div id="tab-captive"><?php ?></div>

<div id="tab-advanced"><?php ?></div>

</div>



<?php
}
