<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo html::specialchars($title) ?></title>
<?php 
header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
echo html::stylesheet(array
(
'media/css/style.css',
// 'media/css/ui-lightness/jquery-ui-1.7.2.custom.css'
'media/css/simple-tab/ui.tabs.css'
),
array
(
'screen',
));
?>
</head>
<body>
<div class="menu">
<table>
	<tr>
		<td>
		<h1 id="title"><?php echo html::anchor('home',Kohana::lang('base.orangemesh'))?></h1>
		</td>
		<td>
		<h1 id="pipediv">|</h1>
		</td>
		<?php foreach ($nav_items as $link => $url): ?>
		<td><span class="navitem"> <?php echo html::anchor($url,$link,array('class'=>'current'))?>
		</span></td>
		<?php endforeach ?>
	</tr>
</table>

</div>
<?php echo func::show_flash();?>
<div id="wrapper"><?php echo $content ?></div>

</body>
</html>
